#!/bin/sh

# $1: poe-port: 0/1 eth0/eth1
# $2: ctrl: 0/1/2 off/on/reset(off&on)
hwinfo_file=/tmp/hwinfo

. $hwinfo_file

if [ "$board_name" = "evk" ]; then
	exit 0
fi

if [ "$1" = 0 ]; then
	port="gpio_poe2"
elif [ "$1" = 1 ]; then
	port="gpio_poe1"
else
	echo "p1= 0/1 eth0/1, p2= 0/1/2 off/on/reset(off&on)"
	exit 0
fi

case "$2" in
[01])
        if [ -e /sys/class/gpio/gpio${!port}/value ]; then
            echo "out" > /sys/class/gpio/gpio${!port}/direction
            echo $2 > /sys/class/gpio/gpio${!port}/value
            #echo "in" > /sys/class/gpio/gpio${!port}/direction
        fi
        ;;
2)
        if [ -e /sys/class/gpio/gpio${!port}/value ]; then
            echo "out" > /sys/class/gpio/gpio${!port}/direction
            echo 0 > /sys/class/gpio/gpio${!port}/value
			sleep 3
            echo 1 > /sys/class/gpio/gpio${!port}/value
            #echo "in" > /sys/class/gpio/gpio${!port}/direction
        fi
        ;;
*)
		echo "p1= 0/1 eth0/1, p2= 0/1/2 off/on/reset(off&on)"
        ;;
esac
