#!/bin/sh

prog_name=/usr/local/bin/safiecam
tk_path=/tmp/
tk_fname=temp_token
tk_file=${tk_path}/${tk_fname}


# $1:model, $2:sn

if [ -e "$tk_file" ]; then
	rm $tk_file
fi

	if [ -z "$1" -o -z "$2" ]; then
		#echo "$prog_name 1:model 2:sn"
		exit 1
	fi

	$prog_name -m $1 -s $2 -A -F $tk_fname -K &> /dev/null &

	for n in `seq 1 10`; do
		if [ -e "$tk_file" ]; then
			#mn=`cat $tk_file | awk -F, '{print $1}'`
			#sn=`cat $tk_file | awk -F, '{print $2}'`
			tk=`cat $tk_file | awk -F, '{print $3}'`
			echo "$tk"
			exit 0
		fi
		sleep 1
	done

	pid=`ps | grep $prog_name | grep "\-K" | awk '{print $1}'`
	if [ -n "$pid" ]; then
		/bin/kill -9 $pid
	fi

	#echo "fail: get token"
exit 1

