#!/bin/sh

cam_info="/var/tmp/cam_info"

# init
cam_ip_1=""
cam_ip_2=""
cam_ip_3=""
cam_ip_4=""
cam_modelName_1=""
cam_modelName_2=""
cam_modelName_3=""
cam_modelName_4=""
product_name_1=""
product_name_2=""
product_name_3=""
product_name_4=""
cam_sn_1=""
cam_sn_2=""
cam_sn_3=""
cam_sn_4=""


# discover camera
/usr/local/bin/discover-cam.sh > $cam_info
. $cam_info


if [ -n "$product_name_1" ]; then
    cam_model_1=$product_name_1
else
    cam_model_1=$cam_modelName_1
fi
if [ -n "$product_name_2" ]; then
    cam_model_2=$product_name_2
else
    cam_model_2=$cam_modelName_2
fi
if [ -n "$product_name_3" ]; then
    cam_model_3=$product_name_3
else
    cam_model_3=$cam_modelName_3
fi
if [ -n "$product_name_4" ]; then
    cam_model_4=$product_name_4
else
    cam_model_4=$cam_modelName_4
fi


# send camera info by json
echo "["
echo "{ \"id\":\"cam_ip_1\",     \"value\":\"$cam_ip_1\" },"
echo "{ \"id\":\"cam_model_1\",  \"value\":\"$cam_model_1\" },"
echo "{ \"id\":\"cam_sn_1\",     \"value\":\"$cam_sn_1\" },"
echo "{ \"id\":\"cam_ip_2\",     \"value\":\"$cam_ip_2\" },"
echo "{ \"id\":\"cam_model_2\",  \"value\":\"$cam_model_2\" },"
echo "{ \"id\":\"cam_sn_2\",     \"value\":\"$cam_sn_2\" },"
echo "{ \"id\":\"cam_ip_3\",     \"value\":\"$cam_ip_3\" },"
echo "{ \"id\":\"cam_model_3\",  \"value\":\"$cam_model_3\" },"
echo "{ \"id\":\"cam_sn_3\",     \"value\":\"$cam_sn_3\" },"
echo "{ \"id\":\"cam_ip_4\",     \"value\":\"$cam_ip_4\" },"
echo "{ \"id\":\"cam_model_4\",  \"value\":\"$cam_model_4\" },"
echo "{ \"id\":\"cam_sn_4\",     \"value\":\"$cam_sn_4\" }"
echo "]"

