#!/bin/sh -e

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"

if [ -e /etc/ddclient/ddclient.conf ]; then
	rm /etc/ddclient/ddclient.conf
fi

# load config file
. /etc/setup-netcfg/user.cfg

if [ $ddns_prov = "disable" ]; then
    exit 0
fi

if [ $ddns_prov = "No-IP" ]; then
	ddns_server="dynupdate.no-ip.com"
elif [ $ddns_prov = "DynDNS" ]; then
	ddns_server="members.dyndns.org"
else
	exit 0
fi

sed -e s/@DDNS_SERVER@/$ddns_server/ /etc/setup-netcfg/conf/ddclient.conf | \
sed -e s/@DDNS_LOGIN@/$ddns_user/    | \
sed -e s/@DDNS_PASSWD@/$ddns_passwd/ | \
sed -e s/@DDNS_DOMAIN@/$ddns_domain/   \
> /etc/ddclient/ddclient.conf

