#!/bin/sh -e

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
infile="/etc/setup-netcfg/conf/dnsmasq.conf"

# load config file
. /etc/setup-netcfg/user.cfg

if [ $use_dhcp = "1" ]; then
	sed -e s/@BR_NETMASK@/$br0_netmask/ $infile | \
	sed -e s/@BR_GATEWAY@/$br0_address/ | \
	sed -e s/@BR_DNS@/$br0_address/ |\
	sed -e s/@BR_DHCP_ENABLE@// | \
	sed -e s/@BR_START_IP@/$dhcpd_range_start/ | \
	sed -e s/@BR_END_IP@/$dhcpd_range_end/ \
	> /etc/dnsmasq.conf
else
	sed -e s/@BR_NETMASK@/$br0_netmask/ $infile | \
	sed -e s/@BR_GATEWAY@/$br0_address/ | \
	sed -e s/@BR_DNS@/$br0_address/ |\
	sed -e s/@BR_DHCP_ENABLE@/#/ \
	> /etc/dnsmasq.conf
fi
