#!/bin/sh

# get params
saveIFS=$IFS
IFS='=&'
parm=($QUERY_STRING)
IFS=$saveIFS

# store to array
declare -A array
for ((i=0; i<${#parm[@]}; i+=2))
do
    array[${parm[i]}]=${parm[i+1]}
done

/bin/ping -c 1 -w 3 ${array[addr]} > /dev/null 2>&1
if [ $? -eq 0 ]; then
	echo -n "ok"
	exit 0
fi

echo -n "ng"
exit 1
